> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custody Commission

> Create a custody commission



## OpenAPI

````yaml /openapi.json post /custody-commissions
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /custody-commissions:
    post:
      tags:
        - Custody Commission
      summary: Create Custody Commission
      description: Create a custody commission
      operationId: createCustodyCommission
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustodyCommission'
      responses:
        '201':
          description: The custody commission has been successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustodyCommission'
        '400':
          description: The custody commission could not be created
components:
  schemas:
    CreateCustodyCommission:
      type: object
      properties:
        identifier:
          type: string
          description: The unique identifier for this commission
          example: commission123
        registeredConsumers:
          description: List of registered consumer IDs
          example:
            - consumer1
            - consumer2
          type: array
          items:
            type: string
      required:
        - identifier
    CustodyCommission:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the custody commission
          example: 123e4567-e89b-12d3-a456-426614174000
        identifier:
          type: string
          description: The unique identifier for this commission
          example: commission123
        registeredConsumers:
          description: List of registered consumer IDs
          example:
            - consumer1
            - consumer2
          type: array
          items:
            type: string
        createdAt:
          format: date-time
          type: string
          description: When the custody commission was created
          example: '2024-03-20T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: When the custody commission was last updated
          example: '2024-03-20T12:00:00Z'
      required:
        - id
        - identifier
        - registeredConsumers
        - createdAt
        - updatedAt

````